List private status page viewers
GET
/status-pages/{id}/viewers
const url = 'https://api.perstat.io/status-pages/example/viewers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.perstat.io/status-pages/example/viewers \ --header 'Authorization: Bearer <token>'Lists the viewer accounts that can sign in to a private status page, including username, email, creation time, and last successful login. Requires project management rights because the data contains personal information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
created_at_unix
required
integer format: int64
email
required
string
id
required
Public_id (spv_…).
string
last_login_at_unix
Letzter erfolgreicher Login (Unix-Sekunden), null falls noch nie.
integer | null format: int64
username
required
string
Examplegenerated
[ { "created_at_unix": 1, "email": "example", "id": "example", "last_login_at_unix": 1, "username": "example" }]